Subject: Re: [PATCH] gnu: Add cgit-pink.

From: Arun Isaac <[email-masked]>
Date: Fri, 18 Aug 2023 10:00:11 +0100

Hi Liliana and (,

Thanks for the review! An updated patchset follows. My changes are quite
extensive. I have also improved the cgit package itself and moved inputs
that were misclassified as inputs/native-inputs.

>> +          (add-after 'unpack 'unpack-git-source
>> +            (lambda _
>> +              (invoke "tar"
>> +                      "-C" "git"
>> +                      "--strip-components" "1"
>> +                      "-xvf" #$git-2.36.1-source)))

> You should probably be using an input for the git source rather than
> inlining it here.

I was trying to avoid having to use the old assocation-list style inputs
with input names. But, I have changed it now.

>> +          ;; Install man pages.
>> +          (add-after 'install 'install-man-pages
>> +            (lambda* (#:key make-flags #:allow-other-keys)
>> +              (apply invoke "make" "install-man" make-flags)))
>> +          (delete 'configure))))
>> +    (inputs
>> +     (list openssl zlib))
>> +    (native-inputs
>> +     (list asciidoc gnu-gettext perl))
>> +    (home-page "https://git.causal.agency/cgit-pink/about/")
>> +    (synopsis "Web fronted for git repositories")
>> +    (description "cgit-pink is a fast web interface for the Git SCM,
>> using a
>> +built-in cache to decrease server I/O pressure.  cgit-pink is a fork
>> of cgit.
> You can probably inherit some of these fields from cgit.  Also, what
> happened to all the python stuff?

Oops, sorry! It somehow never occurred to check and compare with the
cgit package. Thanks for catching this! I am now inheriting most of cgit
into cgit-pink.

>> +Upstream cgit has long been stagnant, with the vast majority of
>> patches sent
>> +to the mailing list going silently ignored, despite their obvious
>> merit in
>> +many cases.  This fork aims to incorporate a number of existing
>> patches as
>> +well as to provide a friendlier place to send new patches.")
> Sheesh.  Less marketing speech would be greatly appreciated.

Deleted.

Regards,
Arun